%define name abuledu-kidistb
%define version 2.3.0-2
%define release 2
%define execname kidistb.tcl
%define execpublicname kidistb
%define abuledu_dest /usr/share/abuledu/applications

Summary: Kidistb l'outil gnial des applications du terrier ...
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://intranet.abuledu.org/~abuledu_david/%{name}-%{version}.tgz
Source1:    %{name}-16.png.bz2
Source2:    %{name}-32.png.bz2
Source3:   %{name}-48.png.bz2
License: GPL 2
Group: AbulEdu
Url: http://www.abuledu.org/
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: tcl > 8.0, tk > 8.0
Requires: tcl > 8.0, tk > 8.0

%description
Kidistb est une application pour faire des storyboards style "tourne page"

%prep
%setup

%build
cat > lanceur << EOF
#!/bin/sh
(
cd %{abuledu_dest}/%{name}
./%{execname}
)
EOF
chmod 755 lanceur
chmod 755 *.tcl
chmod 755 runbrowser

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{abuledu_dest}/%{name}
cp -a * $RPM_BUILD_ROOT%{abuledu_dest}/%{name}/

install -c lanceur $RPM_BUILD_ROOT%{_bindir}/%{execpublicname}
bzcat %{SOURCE1} > %{name}-16.png
bzcat %{SOURCE2} > %{name}-32.png
bzcat %{SOURCE3} > %{name}-48.png
install -D -m 644 %{name}-16.png $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -D -m 644 %{name}-32.png $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -D -m 644 %{name}-48.png $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

(cd $RPM_BUILD_ROOT
mkdir -p ./%{_menudir}
cat > ./%{_menudir}/%{name} <<EOF
?package(%{name}):\
command="%{_bindir}/%{execpublicname}"\
title="%{name}"\
longtitle="%{name}"\
needs="x11"\
icon="%{name}.png"\
section="AbulEdu"
EOF
)
 
%post
#on copie le script de lancement de l aide sur le system
cp -a %{abuledu_dest}/%{name}/runbrowser /usr/bin
cd %{abuledu_dest}/%{name}/lib/
tar -xf kid.tar
%{update_menus}
  
%postun
rm -rf %{abuledu_dest}/%{name}
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc readme
%{_bindir}/%{execpublicname}
%{_menudir}/*
# icons
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%dir %{abuledu_dest}/%{name}/
%{abuledu_dest}/%{name}/*

%changelog
* Sun Jun 18 2006 David Lucardi <davidlucardi@aol.com> 2.3.0-2
- fonctions importer un son, bibliothque de boutons et de formes enrichie, fonction dessin forme libre

* Sat Dec 31 2005 Denis Chassac <contacts@pedagosite.net> 2.2.0-7
- Nouveau packaging (sans les libs)

* Mon Jun 28 2004 Denis Chassac <contacts@pedagosite.net> 2.2.0-6
- unification de la taille des caractres pour Linux et Windows dans
  le player autonome
  
* Sun Jun 27 2004 Denis Chassac <contacts@pedagosite.net> 2.2.0-5
- correction du systeme de diffusion windows/linux

* Sat May 29 2004 Denis Chassac <contacts@pedagosite.net> 2.2.0-4
- amlioration des scripts de cration de rpm pour mandrake

* Wed May 12 2004 Eric Seigne <eric.seigne@ryxeo.com> 2.2.0-3
- petite correction de bug pour $Home en Home (dans un global) test et valid abuledu 1.4

* Wed May 12 2004 Eric Seigne <eric.seigne@ryxeo.com> 2.2.0-1
- nouvelle release pour que les paquets installs en 2.2.0 puissent se mettre  jour

* Tue Nov 11 2003 Eric Seigne <erics@rycks.com> 2.0.1-1
- Dillo est le navigateur pour l'aide  la place de mozilla

* Tue Nov 11 2003 Eric Seigne <erics@rycks.com> 2.0.0-0
- Nouvelle version de kidistb, packages complmentaires pour les libs

* Fri Feb 15 2003 Eric Seigne <erics@rycks.com> 1.1.0-2
- New version with new img lib, lots of new graphic packages are now supported

* Fri Feb 15 2003 Eric Seigne <erics@rycks.com> 1.1.0-1
- New version

* Sun Nov 24 2002 Eric Seigne <erics@rycks.com> 0.7-1
- First Release

